import Foundation

protocol Greetable {
    func greet()
}

class Person: Greetable {
    var name: String
    var age: Int
    
    init(name: String, age: Int) {
        self.name = name
        self.age = age
    }
    
    func greet() {
        print("Hello, my name is \(name) and I am \(age) years old.")
    }
}

class Greeter {
    var people: [Person]
    
    init(people: [Person]) {
        self.people = people
    }
    
    func greetEveryone() {
        for person in people {
            person.greet()
        }
    }
}

let person1 = Person(name: "Alice", age: 30)
let person2 = Person(name: "Bob", age: 25)
let greeter = Greeter(people: [person1, person2])
greeter.greetEveryone()
